Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586037 - Installation hangs at question about storage devices
Installation hangs at question about storage devices
Status: CLOSED DUPLICATE of bug 565693
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 12:56 EDT by DeMus
Modified: 2013-01-10 00:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 15:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logfiles from my installation attempts (108.96 KB, text/plain)
2010-04-27 14:12 EDT, DeMus
no flags Details

  None (edit)
Description DeMus 2010-04-26 12:56:47 EDT
Description of problem: During installation one of the first questions asked is:
Basic Storage devices, or Specialized Storage devices.
After selecting the default value (Standard) I click next and the program hangs. This happened two times. I have checked the dvd and it checked out okay.


Version-Release number of selected component (if applicable): Fedora 13 - x86-64 bits DVD iso file from the Fedora download page


How reproducible: Restart installation process


Steps to Reproduce:
1. Reboot computer from DVD
2. Answer questions / make selections
3. 
  
Actual results: Program hangs, needs hard reset


Expected results:


Additional info:
Comment 1 Chris Lumens 2010-04-26 13:35:58 EDT
anaconda simply cannot lock the machine into such a state that the only way to fix it is by power cycling the machine.  This has to be caused by some other lower level component.  Is it at all possible for you to get any debugging information off the machine?
Comment 2 DeMus 2010-04-26 13:40:23 EDT
(In reply to comment #1)
> anaconda simply cannot lock the machine into such a state that the only way to
> fix it is by power cycling the machine.  This has to be caused by some other
> lower level component.  Is it at all possible for you to get any debugging
> information off the machine?    

How do I get this info you would like to see? As said, I just started the installation and after the 3rd or 4th question, the one about the storage devices, it hangs. How do I get this info during installation?
Comment 3 DeMus 2010-04-26 14:21:56 EDT
(In reply to comment #1)
> anaconda simply cannot lock the machine into such a state that the only way to
> fix it is by power cycling the machine.  This has to be caused by some other
> lower level component.  Is it at all possible for you to get any debugging
> information off the machine?    

How do I get this info you would like to see? As said, I just started the installation and after the 3rd or 4th question, the one about the storage devices, it hangs. How do I get this info during installation?
Comment 4 Chris Lumens 2010-04-26 15:10:58 EDT
When it hangs, does it completely lock up?  Can you press ctrl-alt-f2 to switch to tty2 and from there grab /tmp/anaconda.log, /tmp/syslog, and /tmp/storage.log to attach to this bug report?  Are the keyboard LEDs flashing?
Comment 5 DeMus 2010-04-26 16:14:12 EDT
I did start the installation again and it stops at the same spot again.
I was able to use ctrl-alt-F2 to switch to TTY2 and in /tmp I did find the log files you request. Strange thing though, they are from the first installation, according to the time written down in them. Why not from the installation I just started?
It's too much to type here so I need a way to copy the files so I can attach them here. How do I do that?
Comment 6 DeMus 2010-04-26 16:17:59 EDT
I did start the installation again and it stops at the same spot again.
I was able to use ctrl-alt-F2 to switch to TTY2 and in /tmp I did find the log files you request. Strange thing though, they are from the first installation, according to the time written down in them. Why not from the installation I just started?
It's too much to type here so I need a way to copy the files so I can attach them here. How do I do that?
Comment 7 Chris Lumens 2010-04-26 23:48:37 EDT
Is there any particular reason you're filing every comment twice?

You can grab the files off the machine via scp to another computer or by attaching a USB key, mounting it, and copying the files to that.
Comment 8 DeMus 2010-04-27 00:35:52 EDT
I have just tried to install again. I noticed that the time in the logfiles are UTC times instead of local times. That explains why I wrote yesterday that I still see old times: the second install was 2 hours after the first one and we have 2 hours difference between UTC and local time.

I have tried to mount the usb stick but that doesn't work because I don't know how to do that.
I have seen this and maybe you can do something with it. These are the first warnings and errors in the logfiles:

Anaconda.log
Warning:
step installtype does not exist
step confirminstall does not exist
step complete does not exist

Syslog:
Err: udev-work: devsa mode /dev/rtc already exists locked to /dev/rtc0 will not overwrite
I/O error dev sr0

Then the list goes on with a lot of errors about sr0

About the double messages: after I post I get a message saying I have to choose between 2 buttons. When I do that my post is seen double. Don't know why that is.
Comment 9 Chris Lumens 2010-04-27 00:43:56 EDT
Then what you're seeing is a media error - either a bad burn, bad download, or bad driver.  Regardless, there's nothing anaconda can do.  Running media check before installation can detect some errors but not all.
Comment 10 DeMus 2010-04-27 14:12:50 EDT
Created attachment 409541 [details]
Logfiles from my installation attempts

As requested here are the logfiles from my installation attempts. It is one file with the three requested logfiles in it.
Maybe somebody can tell me what is wrong here. I burnt the downloaded iso (which I downloaded again) on a new disk and still it does not work.
As soon as I make the choice which storage device I use the installation does not continue. Always at that same spot.
The download comes from http://fedoraproject.org/en/get-prerelease and it is from the Install Media section, Direct Download, the x86-64 install DVD.
Two downloads, two DVD's and still not working. What is wrong here?

I have an Asus P5K motherboard with a Q6600 quad-core CPU, 4GB ram and plenty of disk space available, an nVidia GT8500 card. Maybe this info helps, I don't know.
Comment 11 Chris Lumens 2010-04-27 15:59:42 EDT
Your syslog does not match what you said in comment #8.  I see no error messages about sr0.  Are you actually seeing those or not?  If so, I have already explained what you are seeing.  And if you are continuing to see it after repeated downloads and burns (you are running media check, correct?) then you are seeing a kernel driver error, which is ALSO not an anaconda error.

So, are you getting those messages or what?
Comment 12 DeMus 2010-04-27 23:27:21 EDT
Chris, in comment 8 I wrote down the first warnings and error messages which appeared in the log files.
Yesterday I did a new download and I burned the iso to a new DVD. The same happened and I then managed to copy the log files onto a USB stick. Those are the 3 files you see combined into one as attachment here.
If the contents are different from what I wrote then something different has happened. It is strange however that the installation stopped at the exact same moment.
Whether it is the kernel, or Anaconda or something else I don't know, I'm no expert, I'm just a Linux user who likes to know more about it and who wants to use it. I saw on the Fedora pages that a beta version was available and I thought to give it a try. When it didn't work I wrote about it, to let others (the experts) know something is wrong and to try to have it fixed.

If you need more info from logfiles I can give them to you.
You write it is a kernel driver error and NOT an Anaconda error. I never said it is Anaconda, I said the installation stops. I have no idea what causes it, you wrote in post #2 about Anaconda. You made the assumption it was Anaconda. Now don't blame it on me.
I don't want to fight, I don't want to argue, I just would like to have a working system. I do my best to supply the data you, or somebody else, need. That's all I can do.
Comment 13 David Cantrell 2010-04-28 00:46:29 EDT
When reading the syslog, we look for lines containing the string ERR, which indicate errors.  You'll also see lines that contain DEBUG, INFO, and WARN.  Here's a list of errors from your syslog:

17:33:20,758 ERR udevd-work: device node '/dev/rtc' already exists, link to '/dev/rtc0' will not overwrite it
17:34:24,193 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:34:36,379 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:34:36,379 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:34:48,563 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:34:48,563 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:35:00,748 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:35:00,748 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:35:12,934 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:35:12,934 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:35:25,117 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:35:25,117 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:35:37,302 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:35:37,302 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:35:49,487 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:35:49,487 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:36:01,672 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:36:01,672 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:36:13,855 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:36:13,855 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:36:19,406 ERR kernel:sd 9:0:0:0: [sdg] Assuming drive cache: write through
17:36:19,409 ERR kernel:sd 9:0:0:0: [sdg] Assuming drive cache: write through
17:36:19,560 ERR kernel:sd 9:0:0:0: [sdg] Assuming drive cache: write through
17:36:26,041 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:36:26,041 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:36:38,228 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:36:38,228 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:36:50,413 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:36:50,413 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:37:02,598 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:37:02,598 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:37:11,529 ERR udevd: worker [535] unexpectedly returned with status 0x0100
17:37:11,529 ERR udevd: worker [535] failed while handling '/devices/platform/floppy.0/block/fd0'
17:37:14,783 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:37:14,783 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:37:26,966 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:37:26,966 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:37:39,152 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:37:39,152 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:37:51,338 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:37:51,338 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:38:03,521 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:38:03,521 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:38:15,707 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:38:15,707 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:38:27,891 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:38:27,891 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:38:40,074 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:38:40,074 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:38:52,259 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:38:52,259 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:39:04,444 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:39:04,444 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:39:16,629 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:39:16,629 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:39:28,812 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:39:28,812 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:39:40,997 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:39:40,997 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:39:53,180 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:39:53,180 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:40:05,364 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:40:05,364 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:40:17,548 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:40:17,548 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:40:29,733 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:40:29,733 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:40:41,918 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:40:41,918 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:40:54,101 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:40:54,101 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:41:06,286 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:41:06,286 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:41:18,471 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:41:18,471 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:41:30,655 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:41:30,655 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:41:42,840 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:41:42,840 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:41:55,025 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:41:55,025 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:42:07,211 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:42:07,211 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:42:19,396 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:42:19,396 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:42:31,581 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:42:31,581 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:42:43,766 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:42:43,766 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:42:55,949 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:42:55,949 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:43:08,134 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:43:08,134 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:43:20,318 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:43:20,318 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:43:32,503 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:43:32,503 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:43:44,687 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:43:44,687 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:43:56,871 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:43:56,871 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:44:09,055 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:44:09,055 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:44:21,239 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:44:21,239 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:44:33,425 ERR kernel:end_request: I/O error, dev fd0, sector 0
17:44:33,425 ERR kernel:Buffer I/O error on device fd0, logical block 0
17:50:15,748 ERR kernel:sd 10:0:0:0: [sdg] Assuming drive cache: write through
17:50:15,753 ERR kernel:sd 10:0:0:0: [sdg] Assuming drive cache: write through
17:50:15,903 ERR kernel:sd 10:0:0:0: [sdg] Assuming drive cache: write through


The floppy drive (fd0) in your system is clearly unhappy.  We have seen a few reports recently from people seeing errors like this or seeing extremely long wait times due to a problem in the floppy driver.

My first guess is you are seeing a variation on this same bug as reported by others.  Here's my recommendation:

1) Remove the floppy drive from the system.  Well, really you don't need to do that, but just disconnect the data and power cable and disable the floppy device in BIOS.

2) Try to install again and see if it continues.  Report back here whether or not it worked.
Comment 14 Hans de Goede 2010-04-28 03:42:27 EDT
(In reply to comment #13)
> When reading the syslog, we look for lines containing the string ERR, which
> indicate errors.  You'll also see lines that contain DEBUG, INFO, and WARN. 
> Here's a list of errors from your syslog:
> 

<snip>

> The floppy drive (fd0) in your system is clearly unhappy.  We have seen a few
> reports recently from people seeing errors like this or seeing extremely long
> wait times due to a problem in the floppy driver.
> 
> My first guess is you are seeing a variation on this same bug as reported by
> others.  Here's my recommendation:
> 
> 1) Remove the floppy drive from the system.  Well, really you don't need to do
> that, but just disconnect the data and power cable and disable the floppy
> device in BIOS.
> 
> 2) Try to install again and see if it continues.  Report back here whether or
> not it worked.    

Erm, actually the huge delays are usually caused by there not being a floppy connected to the controller, yet the controller still being enabled in the BIOS.

Try the following on your BIOS:

1) Set the floppy drive type in the standard CMOS setup screen to None.
2) See if there is an option to enable / disable the floppy controller somewhere
   in one of the other screens, and disable the floppy controller.

If that does not help, please just try waiting for a long time (10 minutes or so) and see if the system will continue installation then.
Comment 15 DeMus 2010-04-28 11:39:45 EDT
Okay, thank you guys. I disabled the floppy drive, which in fact is a multiple card-reader and not a real floppy drive, in the BIOS and now the program is installing.
I must say I never had this kind of problem before and I have installed several versions of Linux distros.
I do hope that I can enable to floppy drive again after the installation is ready so I can use it. I don't use it much but it would sure be handy when it is working again.

For 2 years I have used Ubuntu as main OS with side-trips to Fedora, Suse, Debian, Mint, Mandriva but lately I find that Ubuntu is changing in a way I don't really like so I thought why not choose something else. Then I saw 13 Beta with the official version coming in less than a month, so I decided to try it.
I know it is beta so things can still be under construction.

When I got the installation problems I thought it would be good to help the programmers and file a problem, which it seems now, has been resolved. Thanks very much for that.
I do wonder why I had this problem because, as I said before, I never had it before.
Comment 16 Hans de Goede 2010-04-28 15:04:21 EDT
Hi,

The problem you are seeing is not related to your card reader, your card reader is a usb device. The problem is that the kernel thought there was a 1.44M (standard 3.5") floppy drive connected to your floppy controller, while in reality there was such drive connected. This is a kernel issue which is being tracked in bug 565693

*** This bug has been marked as a duplicate of bug 565693 ***

Note You need to log in before you can comment on or make changes to this bug.